# Get-RASAppPackageAvailVersions.md

## NAME

Get-RASAppPackageAvailVersions

## SYNOPSIS

Retrieves the application package version.

## SYNTAX

\*\*Get-RASAppPackageAvailVersions \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the application package version.

## PARAMETERS

## Name (string)

The name of the application package for which to retrieve the available versions.

This must be the actual application package name used in the RAS farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

The ID of the Site from which to retrieve the available application package versions.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[AppPackageVersion](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/apppackageversion.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASAppPackageAvailVersions

Retrieves the list of application package versions.\
\*\*---------- EXAMPLE 2 ----------

Get-RASAppPackageAvailVersions -Name "MSIX\_APP\_PACKAGE"

Retrieves the version of the application package named AppPackage1.

## RELATED LINKS

-none-


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasapppackageavailversions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
